中危 pivotal_software spring_framework 在web页面生成时对输入的转义处理不恰当(跨站脚本)

CVE编号

CVE-2013-6430

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-01-11
漏洞描述
Spring Framework是一个开源的Java/Java EE全功能栈(full-stack)的应用程序框架, 以Apache许可证形式发布,也有.NET平台上的移植版本。Spring Framework 'JavaScriptUtils.javaScriptEscape()'方法没有正确转义所有字符,允许攻击者进行跨站脚本攻击,可获取敏感信息或劫持用户会话。
解决建议
Spring MVC 3.2.2已经修复该漏洞,建议用户下载更新:https://github.com/spring-projects/spring-framework?
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 pivotal_software spring_framework * From
(including)
3.0.0
Up to
(excluding)
3.2.2
运行在以下环境
系统 debian_7 libspring-java * Up to
(excluding)
3.0.6.RELEASE-6+deb7u2
运行在以下环境
系统 ubuntu_14.04.6_lts libspring-java * Up to
(excluding)
3.0.6.RELEASE-11
运行在以下环境
系统 ubuntu_14.04_lts libspring-java * Up to
(excluding)
3.0.6.RELEASE-11
运行在以下环境
系统 ubuntu_16.04.7_lts libspring-java * Up to
(excluding)
3.0.6.RELEASE-11
运行在以下环境
系统 ubuntu_16.04_lts libspring-java * Up to
(excluding)
3.0.6.RELEASE-11
阿里云评分
4.5
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-79 在Web页面生成时对输入的转义处理不恰当(跨站脚本)
阿里云安全产品覆盖情况